<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myMovingSlipLabel" jhiTranslate="mpmApp.movingSlip.home.createOrEditLabel">Create or edit a Moving Slip</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!movingSlip.idSlip">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="movingSlip.idSlip" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.movingSlip.qty" for="field_qty">Qty</label>
            <input currencyMask class="form-control" name="qty" id="field_qty"
                [(ngModel)]="movingSlip.qty"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.movingSlip.inventoryItemTo" for="field_inventoryItemTo">Inventory Item To</label>
            <select class="form-control" id="field_inventoryItemTo" name="inventoryItemTo" [(ngModel)]="movingSlip.inventoryItemToId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="inventoryItemOption.idInventoryItem" *ngFor="let inventoryItemOption of inventoryitems; trackBy: trackInventoryItemById">{{inventoryItemOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.movingSlip.containerFrom" for="field_containerFrom">Container From</label>
            <select class="form-control" id="field_containerFrom" name="containerFrom" [(ngModel)]="movingSlip.containerFromId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="containerOption.idContainer" *ngFor="let containerOption of containers; trackBy: trackContainerById">{{containerOption.containerCode}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.movingSlip.containerTo" for="field_containerTo">Container To</label>
            <select class="form-control" id="field_containerTo" name="containerTo" [(ngModel)]="movingSlip.containerToId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="containerOption.idContainer" *ngFor="let containerOption of containers; trackBy: trackContainerById">{{containerOption.containerCode}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.movingSlip.facilityFrom" for="field_facilityFrom">Facility From</label>
            <select class="form-control" id="field_facilityFrom" name="facilityFrom" [(ngModel)]="movingSlip.facilityFromId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.movingSlip.facilityTo" for="field_facilityTo">Facility To</label>
            <select class="form-control" id="field_facilityTo" name="facilityTo" [(ngModel)]="movingSlip.facilityToId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.movingSlip.product" for="field_product">Product</label>
            <select class="form-control" id="field_product" name="product" [(ngModel)]="movingSlip.productId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="productOption.idProduct" *ngFor="let productOption of products; trackBy: trackProductById">{{productOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.movingSlip.inventoryItem" for="field_inventoryItem">Inventory Item</label>
            <select class="form-control" id="field_inventoryItem" name="inventoryItem" [(ngModel)]="movingSlip.inventoryItemId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="inventoryItemOption.idInventoryItem" *ngFor="let inventoryItemOption of inventoryitems; trackBy: trackInventoryItemById">{{inventoryItemOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
